/*global process, __dirname*/

import { fileURLToPath, URL } from "url";
import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import injectExternals from "vite-plugin-inject-externals";
import CDNSettings from "./dev/CDN.development.js";



// https://vitejs.dev/config/
export default function (build) {
  let alias = {}
  alias["@"] = fileURLToPath(new URL("dev", import.meta.url));
  alias["#"] = fileURLToPath(new URL("node_modules", import.meta.url)
  );
  return defineConfig({
    plugins: [vue(), injectExternals(CDNSettings)],
    resolve: {
      alias: alias,
    }
  });
}
